#include "SDLConsole.h"

bool SDLConsole::LoadCharsetMegaZeux(char *filename) {
	SDL_RWops *fileOp = SDL_RWFromFile(filename, "rb");
	if(fileOp == NULL) return false;

	for(int i = 0; i < CHARS; i++) {
		Uint8 inChar[CHAR_HEIGHT];

		// read one character
		SDL_RWread(fileOp, inChar, 1, CHAR_HEIGHT);

		// assign to the current charset entry
		for(Uint16 j = 0; j < CHAR_HEIGHT; j++)
			charset[i].Row[j] = inChar[j];
	}

	return true;
}